fragments: &fragments
  - &frag-lkft-base https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/lkft.config
  - &frag-lkft-crypto https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/lkft-crypto.config
  - &frag-lkft-distro https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/distro-overrides.config
  - &frag-lkft-netdev https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/netdev.config
  - &frag-lkft-systemd https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/systemd.config
  - &frag-lkft-virtio https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/virtio.config

lava-job-priority: &lava-job-priority 75
lava-job-priority-sanity: &lava-job-priority-sanity 80

# debian rootfs
rootfs-debian-testing-arm: &rootfs-debian-testing-arm https://storage.tuxboot.com/debian/bookworm/armhf/rootfs.ext4.xz
rootfs-debian-testing-arm-tar: &rootfs-debian-testing-arm-tar https://storage.tuxboot.com/debian/bookworm/armhf/rootfs.tar.xz
rootfs-debian-testing-arm64: &rootfs-debian-testing-arm64 https://storage.tuxboot.com/debian/bookworm/arm64/rootfs.ext4.xz
rootfs-debian-testing-arm64-tar: &rootfs-debian-testing-arm64-tar https://storage.tuxboot.com/debian/bookworm/arm64/rootfs.tar.xz
rootfs-debian-testing-i386: &rootfs-debian-testing-i386 https://storage.tuxboot.com/debian/bookworm/i386/rootfs.ext4.xz
rootfs-debian-testing-i386-tar: &rootfs-debian-testing-i386-tar https://storage.tuxboot.com/debian/bookworm/i386/rootfs.tar.xz
rootfs-debian-testing-x86_64: &rootfs-debian-testing-x86_64 https://storage.tuxboot.com/debian/bookworm/amd64/rootfs.ext4.xz
rootfs-debian-testing-x86_64-tar: &rootfs-debian-testing-x86_64-tar https://storage.tuxboot.com/debian/bookworm/amd64/rootfs.tar.xz

# debian-kvm rootfs
rootfs-debian-kvm-testing-arm: &rootfs-debian-kvm-testing-arm https://storage.tuxboot.com/debian-kvm/bookworm/armhf/rootfs.ext4.xz
rootfs-debian-kvm-testing-arm64: &rootfs-debian-kvm-testing-arm64 https://storage.tuxboot.com/debian-kvm/bookworm/arm64/rootfs.ext4.xz
rootfs-debian-kvm-testing-arm64-tar: &rootfs-debian-kvm-testing-arm64-tar https://storage.tuxboot.com/debian-kvm/bookworm/arm64/rootfs.tar.xz
rootfs-debian-kvm-testing-i386: &rootfs-debian-kvm-testing-i386 https://storage.tuxboot.com/debian-kvm/bookworm/i386/rootfs.ext4.xz
rootfs-debian-kvm-testing-x86_64: &rootfs-debian-kvm-testing-x86_64 https://storage.tuxboot.com/debian-kvm/bookworm/amd64/rootfs.ext4.xz

kvm-unit-tests-debian-bookworm-arm: &kvm-unit-tests-debian-bookworm-arm https://storage.tuxboot.com/overlays/debian/bookworm/armhf/kvm-unit-tests/master/kvm-unit-tests.tar.xz
kvm-unit-tests-debian-bookworm-arm64: &kvm-unit-tests-debian-bookworm-arm64 https://storage.dev.tuxboot.com/overlays/debian/bookworm/arm64/kvm-unit-tests/master/kvm-unit-tests.tar.xz
kvm-unit-tests-debian-bookworm-i386: &kvm-unit-tests-debian-bookworm-i386 https://storage.tuxboot.com/overlays/debian/bookworm/i386/kvm-unit-tests/master/kvm-unit-tests.tar.xz
kvm-unit-tests-debian-bookworm-x86_64: &kvm-unit-tests-debian-bookworm-x86_64 https://storage.tuxboot.com/overlays/debian/bookworm/amd64/kvm-unit-tests/master/kvm-unit-tests.tar.xz

libgpiod-debian-bookworm-arm: &libgpiod-debian-bookworm-arm https://storage.tuxboot.com/overlays/debian/bookworm/armhf/libgpiod/v2.0.1/libgpiod.tar.xz
libgpiod-debian-bookworm-arm64: &libgpiod-debian-bookworm-arm64 https://storage.dev.tuxboot.com/overlays/debian/bookworm/arm64/libgpiod/v2.0.1/libgpiod.tar.xz
libgpiod-debian-bookworm-i386: &libgpiod-debian-bookworm-i386 https://storage.tuxboot.com/overlays/debian/bookworm/i386/libgpiod/v2.0.1/libgpiod.tar.xz
libgpiod-debian-bookworm-x86_64: &libgpiod-debian-bookworm-x86_64 https://storage.tuxboot.com/overlays/debian/bookworm/amd64/libgpiod/v2.0.1/libgpiod.tar.xz

ltp-debian-bookworm-arm: &ltp-debian-bookworm-arm https://storage.tuxboot.com/overlays/debian/bookworm/armhf/ltp/20240129/ltp.tar.xz
ltp-debian-bookworm-arm64: &ltp-debian-bookworm-arm64 https://storage.tuxboot.com/overlays/debian/bookworm/arm64/ltp/20240129/ltp.tar.xz
ltp-debian-bookworm-i386: &ltp-debian-bookworm-i386 https://storage.tuxboot.com/overlays/debian/bookworm/i386/ltp/20240129/ltp.tar.xz
ltp-debian-bookworm-x86_64: &ltp-debian-bookworm-x86_64 https://storage.tuxboot.com/overlays/debian/bookworm/amd64/ltp/20240129/ltp.tar.xz

kselftest-arm-clang-nightly: &kselftest-arm-clang-nightly https://storage.tuxsuite.com/public/linaro/lkft/builds/2dPZhP8RvRr6iMA5pToM9IFOcy5/kselftest.tar.xz
kselftest-arm-clang: &kselftest-arm-clang https://storage.tuxsuite.com/public/linaro/lkft/builds/2dPZhRxOIeFhb8uNskVaYySRklH/kselftest.tar.xz
kselftest-arm-gcc: &kselftest-arm-gcc https://storage.tuxsuite.com/public/linaro/lkft/builds/2dPZhVogzxrb1L2DFjsVNKEvpRv/kselftest.tar.xz
kselftest-arm64-clang-nightly: &kselftest-arm64-clang-nightly https://storage.tuxsuite.com/public/linaro/lkft/builds/2dPZhdVFjSv22q7ftpGJRBXoPtn/kselftest.tar.xz
kselftest-arm64-clang: &kselftest-arm64-clang https://storage.tuxsuite.com/public/linaro/lkft/builds/2dPZhVWVGuNfCIvPMSWpBc43Iny/kselftest.tar.xz
kselftest-arm64-gcc: &kselftest-arm64-gcc https://storage.tuxsuite.com/public/linaro/lkft/builds/2dPZhRLyta83n484WWArNQH9FUz/kselftest.tar.xz
kselftest-i386-clang-nightly: &kselftest-i386-clang-nightly https://storage.tuxsuite.com/public/linaro/lkft/builds/2dPZhXo2D94Lku4Nx5mIoOUXn1H/kselftest.tar.xz
kselftest-i386-clang: &kselftest-i386-clang https://storage.tuxsuite.com/public/linaro/lkft/builds/2dPZhY3PhBpQL1Q9h2ntGyxRtAX/kselftest.tar.xz
kselftest-i386-gcc: &kselftest-i386-gcc https://storage.tuxsuite.com/public/linaro/lkft/builds/2dPZhacAMc3MS4NNrLpDZKYgrd5/kselftest.tar.xz
kselftest-x86_64-clang-nightly: &kselftest-x86_64-clang-nightly https://storage.tuxsuite.com/public/linaro/lkft/builds/2dPZhe8jlhwKXKzMLzfqiZwZs5b/kselftest.tar.xz
kselftest-x86_64-clang: &kselftest-x86_64-clang https://storage.tuxsuite.com/public/linaro/lkft/builds/2dPZhbsCQINRq3gliBUngX4c838/kselftest.tar.xz
kselftest-x86_64-gcc: &kselftest-x86_64-gcc https://storage.tuxsuite.com/public/linaro/lkft/builds/2dPZhaaP0T3EuieZ99Sd81AOgtF/kselftest.tar.xz

perf-arm-gcc: &perf-arm-gcc https://storage.tuxsuite.com/public/linaro/lkft/builds/2dPZbcBy88vYYYHxESM98vZtyCP/perf.tar.xz
perf-arm64-gcc: &perf-arm64-gcc https://storage.tuxsuite.com/public/linaro/lkft/builds/2dPZbXsWDjUxC2x6MFEvTK7Holz/perf.tar.xz
perf-i386-gcc: &perf-i386-gcc https://storage.tuxsuite.com/public/linaro/lkft/builds/2dPZbXUXOnfk2Z1AtL7xBMSbx2t/perf.tar.xz
perf-x86_64-gcc: &perf-x86_64-gcc https://storage.tuxsuite.com/public/linaro/lkft/builds/2dPZbcDTcPNb6RmWpGXYY0o4mCv/perf.tar.xz

boot-timeout-arm: &boot-timeout-arm 30
boot-timeout-arm64: &boot-timeout-arm64 30
boot-timeout-fvp: &boot-timeout-fvp 60
boot-timeout-i386: &boot-timeout-i386 15
boot-timeout-x86: &boot-timeout-x86 15

kselftest-timeout: &kselftest-timeout 20
kselftest-arm64-timeout: &kselftest-arm64-timeout 60
kselftest-ftrace-timeout: &kselftest-ftrace-timeout 40
kselftest-memfd-timeout: &kselftest-memfd-timeout 30
kselftest-net-timeout: &kselftest-net-timeout 30
kselftest-timers-timeout: &kselftest-timers-timeout 10
kselftest-rseq-timeout: &kselftest-rseq-timeout 30
kselftest-seccomp-timeout: &kselftest-seccomp-timeout 10
kselftest-tc-testing-timeout: &kselftest-tc-testing-timeout 20

kvm-unit-tests-timeout: &kvm-unit-tests-timeout 60
kvm-unit-tests-timeout-fvp: &kvm-unit-tests-timeout-fvp 160

ltp-commands-timeout: &ltp-commands-timeout 40
ltp-containers-timeout: &ltp-containers-timeout 25
ltp-controllers-timeout: &ltp-controllers-timeout 80
ltp-crypto-timeout: &ltp-crypto-timeout 30
ltp-cve-timeout: &ltp-cve-timeout 50
ltp-fs_bind-timeout: &ltp-fs_bind-timeout 40
ltp-fs-timeout: &ltp-fs-timeout 40
ltp-fs_perms_simple-timeout: &ltp-fs_perms_simple-timeout 10
ltp-hugetlb-timeout: &ltp-hugetlb-timeout 20
ltp-math-timeout: &ltp-math-timeout 50
ltp-mm-timeout: &ltp-mm-timeout 40
ltp-pty-timeout: &ltp-pty-timeout 10
ltp-sched-timeout: &ltp-sched-timeout 30
ltp-syscalls-timeout: &ltp-syscalls-timeout 50
ltp-tracing-timeout: &ltp-tracing-timeout 30
ltp-smoke-timeout: &ltp-smoke-timeout 15

perf-timeout: &perf-timeout 60

version: 1
name: full kernel validation for the linux-6.1.y branch
description: Build and test linux kernel with every toolchain
jobs:
- name: arm64
  builds:
    - {target_arch: arm64, toolchain: gcc-8,    kconfig: allnoconfig}
    - {target_arch: arm64, toolchain: gcc-8,    kconfig: defconfig}
    - {target_arch: arm64, toolchain: gcc-8,    kconfig: tinyconfig}
    - {target_arch: arm64, toolchain: gcc-13,   kconfig: allnoconfig}
    - {target_arch: arm64, toolchain: gcc-13,   kconfig: defconfig}
    - {target_arch: arm64, toolchain: gcc-13,   kconfig: tinyconfig}
